Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	bluetooth GUI pinhelper replacement
Name:		bluez-gnome
Version:	1.4
Release:	1
Group:		System/Configuration/Hardware
License:	GPL
URL:		http://www.bluez.org
Source0:	bluez-gnome-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	ORBit2-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  dbus-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
Provides:	dbus-bluez-pin-helper
#Requires:	gnome-vfs-obexftp

Requires(post): shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: 	Bluetooth protocol analyzer
Group: 		System/Tools
Requires: 	%{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup -q

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir/gnome --disable-mime-update --disable-desktop-update
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/
#mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ $RPM_BUILD_ROOT%{_sysconfdir}/gnome/

%find_lang bluetooth-manager

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
        %{_sysconfdir}/gnome/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gnome/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gnome/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null


%clean
rm -rf $RPM_BUILD_ROOT

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_bindir}/bluetooth-browse
%config %{_sysconfdir}/gnome/gconf/schemas/*
%{_sysconfdir}/gnome/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/man/man1/bluetooth-applet.1.gz
%{_datadir}/man/man1/bluetooth-properties.1.gz
%{_datadir}/man/man1/bluetooth-sendto.1.gz
%{_datadir}/man/man1/bluetooth-wizard.1.gz
%{_datadir}/man/man1/bluetooth-browse.1.gz
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/icons
%exclude /usr/share/icons/hicolor/icon-theme.cache
%{_datadir}/mime/packages/bluetooth-manager.xml
%doc README COPYING AUTHORS ChangeLog

%files analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_datadir}/man/man1/bluetooth-analyzer.1.gz


%changelog
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Tue Sep 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- Version update
* Sun Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
* Sun Apr 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.26-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.21-1
- Version update
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17-1
- Version update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.15-1
- Version update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.14-4
- rebuild against bluez-libs 3.23
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.14-3
- fixed mime database bug
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 0.14-2
- corrected sysconfdir
* Mon Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14-1
- Version update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- Version update
* Mon May 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Sat Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6-2
- rebuilt against dbus 1.0.2
* Sat Feb 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6-1
- Initial Release
